Bug 88695 - Kernel 2.4.20-9 still shows illegal data in /proc/partitions
Kernel 2.4.20-9 still shows illegal data in /proc/partitions
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Stephen Tweedie
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-11 19:41 EDT by Kai 'wusel' Siering
Modified: 2007-04-18 12:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Standard patch to make PD drive and USB cardreader work. (2.32 KB, patch)
2003-08-25 21:43 EDT, Kai 'wusel' Siering
no flags Details | Diff

  None (edit)
Description Kai 'wusel' Siering 2003-04-11 19:41:43 EDT
Description of problem:

Kernel 2.4.20-9 shows illegal data in /proc/partitions:

root@igor.uu.org:~ # cat /proc/partitions 
major minor  #blocks  name     rio rmerge rsect ruse wio wmerge wsect wuse
running use aveq

  57     0   29316672 hdk 141 755 1792 440 0 0 0 0 -9 6771340 25018435
  57     1    1542208 hdk1 15 69 168 80 0 0 0 0 0 80 80
  57     2    5630782 hdk2 15 69 168 50 0 0 0 0 0 50 50
  57     3          1 hdk3 0 0 0 0 0 0 0 0 0 0 0
  57     4     530113 hdk4 26 138 328 80 0 0 0 0 0 80 80
  57     5     530113 hdk5 25 139 328 0 0 0 0 0 0 0 0
  57     6   11365956 hdk6 15 69 168 70 0 0 0 0 0 70 70
  57     7   10241406 hdk7 25 139 328 110 0 0 0 0 0 110 110
  57    64   39082680 hdl 11835 130 94874 65810 1787 4009 46464 27470 -7 6771370
38642325
  57    65   39082648 hdl1 11828 73 94746 65790 1787 4009 46464 27470 0 65390 93260
  56     0   80043264 hdi 2301 4399 51200 13120 1977 2488 35726 4070 -8 6771060
31796225
  56     1     102280 hdi1 23 71 188 130 8 3 22 20 0 140 150
  56     2     524160 hdi2 13 41 168 60 0 0 0 0 0 60 60
  56     3    3071880 hdi3 2224 4056 50210 12520 1961 2481 35632 4050 0 11540 16580
  56     4          1 hdi4 0 0 0 0 0 0 0 0 0 0 0
  56     5   76344880 hdi5 29 147 442 310 8 4 72 0 0 310 310

This renders other tools, e. g. iostat, orca, totally useless.


Version-Release number of selected component (if applicable):

Kernel 2.4.20-9


How reproducible:

Boot, do some I/O, check /proc/partitions.


Steps to Reproduce:
1. Boot
2. Do some disk I/O
3. see the mess in /proc/partitions


Actual results:

Negative values for "running", maybe others are wrong as well.


Expected results:

Correct results.


Additional info:

Long standing bug, exists since 6 month and Red Hat Linux 7.2 at least.
Comment 1 Rhett Butler 2003-06-19 17:35:45 EDT
See Comment #8 in Bug #63977
Comment 2 Rhett Butler 2003-07-31 18:22:11 EDT
I have no more negative values in /proc/partitions after upgrading to 2.4.20-18.7.

See Comment #9 in Bug #63977.
Comment 3 Kai 'wusel' Siering 2003-08-25 21:43:42 EDT
Created attachment 93920 [details]
Standard patch to make PD drive and USB cardreader work.

This is my standard patch to be applied against a vanilla RedHat Kernel Source
to gain access to both my PD drive (PD is like a "CD-RAM", available quite some
time before CD-RW; the patch simply enables >1 LUN for the TEAC PD-1 PD-518E)
and the USB 6-in-1-cardreader.
I won't mind incorporation into the standard RedHat Kernel ;)
Comment 4 Kai 'wusel' Siering 2003-08-25 21:47:59 EDT
Situation still unchanged for me:

wusel@death.uu.org:/work/home/wusel $ cat /proc/partitions 
major minor  #blocks  name     rio rmerge rsect ruse wio wmerge wsect wuse
running use aveq

   8     0    1048575 sda 9 27 72 100 0 0 0 0 0 100 100
   8    16    1048575 sdb 9 27 72 100 0 0 0 0 0 100 100
   8    32    1048575 sdc 9 27 72 100 0 0 0 0 0 100 100
   8    48    1048575 sdd 9 27 72 100 0 0 0 0 0 100 100
   8    64     649248 sde 3 21 48 5480 0 0 0 0 0 5480 5480
   8    65  839922362 sde1 0 0 0 0 0 0 0 0 0 0 0
   8    66  269488144 sde2 0 0 0 0 0 0 0 0 0 0 0
   8    67  699181456 sde3 0 0 0 0 0 0 0 0 0 0 0
   8    68      10668 sde4 0 0 0 0 0 0 0 0 0 0 0
   3     0   97685784 hda 111478 4269725 4927932 645280 35059 2223500 2696656
29098470 -34 14933976 14130605
   3     1     136521 hda1 97 597 1388 400 34 25 118 260 0 620 660
   3     2   20482875 hda2 6908 177 56026 27340 1445 1967 27360 215470 0 30140
242810
   3     3    9221310 hda3 62138 238 498354 332330 8133 25385 272512 5517530 0
352130 5977150
   3     4          1 hda4 0 0 0 0 0 0 0 0 0 0 0
   3     5     506016 hda5 8589 103 69272 28490 6707 18297 200056 2686740 0
2518380 2715230
   3     6   67336416 hda6 33719 4268409 4302436 256500 18740 2177826 2196610
20678470 0 153500 20936240
   3    64   80043264 hdb 475977 3268125 29956578 19767570 661773 4542087
41638064 41081410 -23 14919996 23674366
   3    65   80035798 hdb1 475972 3268086 29956490 19767530 661773 4542087
41638064 41081410 0 9496280 17951577
wusel@death.uu.org:/work/home/wusel $ uname -a
Linux death 2.4.20-20.9 #4 Thu Aug 21 23:46:25 CEST 2003 i686 athlon i386 GNU/Linux

(Just for the records: sda to sdd this time are (currently empty) slots on
an USB cardreader; sde is an old-fashioned PD drive: 650 MB "generation -1
DVD-RAM", attached via ide-scsi. Kernel is standard RH kernel with PD- and
USB-Cardreader patches applied, patch is attached to this bug.)
Comment 5 Bugzilla owner 2004-09-30 11:40:47 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.